
At the time of the accident, I was located about thirty miles from the nearest hospital in rural Virginia. Fortunately, a police officer observed the accident and was able to get paramedics to me. I was bleeding massively. They cut down into my arm to find a blood vessel. I briefly came to in the emergency room when my mother pushed her way into the emergency room area where doctors where caring for me. I recalled screaming for her. Then I passed out.

The next ‘memory’ I have was my out of body experience. I was about twenty feet above the gurney where my body was lying. I recall looking down, noticing the medical team working to revive me, but I did not care. Instead, I was fascinated by where I was, up and suffused in a strange place that was like nothing I had ever experienced before. I seemed to have no visible body, but I was circular and I laughed, as I seemed to roll over on a face that was not there. I wanted to go, but something was behind me, some type of barrier that would not let me. Whenever tried to turn and leave, I would turn over on my seeming face and I would laugh. I think I tried to leave three times but it was hilarious that I was rolling seemingly forward. I was not afraid but a bit frustrated that I could not go. I do not know where I wanted to go, but I definitely felt that I had a destination. Then suddenly, I felt suction and everything went black. I was no longer in the mysterious place, which was not bright nor warm. In fact, I am not comfortable giving the place a name. I had no body and I was one with the space.

About three or four days later, I remembered the out of body experience. The combination of a concussion and the morphine that was administered at the hospital, where I as flown by helicopter, rendered me incapacitated. I have about a three day memory gap. My siblings have reported that I was very ‘high’ due to the morphine. Many years passed before I spoke to anyone about the out of body experience. I am convinced that the experience changed my outlook on life. I do not fear death and I focus intensively on my family and life's experiences, generally in a fearless manner. I have little patience for stupidity.
